Bug 45909 - /etc/rc.d/init.d/nfs start script missing exports.
/etc/rc.d/init.d/nfs start script missing exports.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-25 16:25 EDT by Rick Otten
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 06:41:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rick Otten 2001-06-25 16:25:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-7.0.1 i586)

Description of problem:
The bourne shell script, /etc/rc.d/init.d/nfs sets two variables,
RPCNFSDCOUNT and 
RPCMOUNTDOPTS.  Both need to be exported before they are passed to daemon.

nfsd doesn't start otherwise.


How reproducible:
Always

Steps to Reproduce:
1.Install Red Hat 7.1 and look at the script.
2.
3.
	

Actual Results:  nfsd doesn't start.

Expected Results:  nfsd should be running.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.